summaryrefslogtreecommitdiffstats
diff options
context:
space:
mode:
-rw-r--r--libraries/javacomm/README7
-rw-r--r--libraries/javacomm/javacomm.SlackBuild56
-rw-r--r--libraries/javacomm/javacomm.info8
-rw-r--r--libraries/javacomm/slack-desc12
4 files changed, 83 insertions, 0 deletions
diff --git a/libraries/javacomm/README b/libraries/javacomm/README
new file mode 100644
index 0000000000..67ed13a193
--- /dev/null
+++ b/libraries/javacomm/README
@@ -0,0 +1,7 @@
+The Java Communications API (also known as javax.comm) is a Java extension
+that provides access to RS-232 hardware (serial ports) and limited access
+to IEEE-1284 hardware (parallel ports).
+
+Note: this is an obsolete version of the Solaris implementation of Javacomm.
+It is intended for use only with JMRI (available at Slackbuilds.org).
+It is not necessarily suitable for use with other applications.
diff --git a/libraries/javacomm/javacomm.SlackBuild b/libraries/javacomm/javacomm.SlackBuild
new file mode 100644
index 0000000000..c607dde4b7
--- /dev/null
+++ b/libraries/javacomm/javacomm.SlackBuild
@@ -0,0 +1,56 @@
+#!/bin/sh
+
+# Slackware build script for javacomm
+# Written by David Spencer <nobbutl@yahoo.co.uk>
+# This script is dedicated to the public domain
+
+PRGNAM=javacomm
+VERSION=2.0
+SRCVER=20-x86
+ARCH=${ARCH:-i486}
+BUILD=${BUILD:-1}
+TAG=${TAG:-_SBo}
+
+CWD=$(pwd)
+TMP=${TMP:-/tmp/SBo}
+PKG=$TMP/package-$PRGNAM
+OUTPUT=${OUTPUT:-/tmp}
+
+if [ "$ARCH" = "x86_64" ]; then
+ LIBDIRSUFFIX="64"
+else
+ LIBDIRSUFFIX=""
+fi
+
+JAVA_HOME=${JAVA_HOME:-/usr/lib${LIBDIRSUFFIX}/java}
+
+set -e
+
+rm -rf $PKG
+mkdir -p $TMP $PKG $OUTPUT
+cd $TMP
+rm -rf commapi
+tar xvf $CWD/$PRGNAM$SRCVER.tar.Z
+cd commapi
+chown -R root:root .
+find . \
+ \( -perm 777 -o -perm 775 -o -perm 711 -o -perm 555 -o -perm 511 \) \
+ -exec chmod 755 {} \; -o \
+ \( -perm 666 -o -perm 664 -o -perm 600 -o -perm 444 -o -perm 440 -o -perm 400 \) \
+ -exec chmod 644 {} \;
+
+mkdir -p $PKG/$JAVA_HOME/lib/ext
+cp -a comm.jar $PKG/$JAVA_HOME/lib/ext
+
+mkdir -p $PKG/usr/doc/$PRGNAM-$VERSION
+cp -a \
+ COMM2.0_license.txt CommAPI_FAQ.txt PlatformSpecific.html Readme.html apichanges.html \
+ javadocs/ samples/ \
+ $PKG/usr/doc/$PRGNAM-$VERSION
+cat $CWD/$PRGNAM.SlackBuild > $PKG/usr/doc/$PRGNAM-$VERSION/$PRGNAM.SlackBuild
+
+mkdir -p $PKG/install
+cat $CWD/slack-desc > $PKG/install/slack-desc
+
+cd $PKG
+/sbin/makepkg -l y -c n $OUTPUT/$PRGNAM-$VERSION-$ARCH-$BUILD$TAG.tgz
diff --git a/libraries/javacomm/javacomm.info b/libraries/javacomm/javacomm.info
new file mode 100644
index 0000000000..842fb006a1
--- /dev/null
+++ b/libraries/javacomm/javacomm.info
@@ -0,0 +1,8 @@
+PRGNAM="javacomm"
+VERSION="2.0"
+HOMEPAGE="http://java.sun.com/products/javacomm/"
+DOWNLOAD="http://www.oreilly.com.tw/bookcode/java_io/javacomm20-x86.tar.Z"
+MD5SUM="9eac897bf5233b7cf495eaae5d596804"
+MAINTAINER="David Spencer"
+EMAIL="nobbutl@yahoo.co.uk"
+APPROVED="dsomero"
diff --git a/libraries/javacomm/slack-desc b/libraries/javacomm/slack-desc
new file mode 100644
index 0000000000..7f40616962
--- /dev/null
+++ b/libraries/javacomm/slack-desc
@@ -0,0 +1,12 @@
+ |-----handy-ruler------------------------------------------------------|
+javacomm: javacomm (Java Communications API Extension v2.0)
+javacomm:
+javacomm: This Java extension provides access to RS-232 hardware (serial ports)
+javacomm: and limited access to IEEE-1284 hardware (parallel ports).
+javacomm:
+javacomm: Homepage: http://java.sun.com/products/javacomm/
+javacomm:
+javacomm:
+javacomm:
+javacomm:
+javacomm: